Package org.silverpeas.processmanager

# Class StepVO

java.lang.Object
org.silverpeas.processmanager.StepVO

public class StepVO extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StepVO()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getActionName()`
  `String`
  `getActivity()`
  `String`
  `getActorFullName()`
  `HistoryStepContent`
  `getContent()`
  `String`
  `getStepDate()`
  `String`
  `getStepId()`
  `String`
  `getSubstituteFullName()`
  `boolean`
  `isVisible()`
  `void`
  `setActionName(String actionName)`
  `void`
  `setActivity(String activity)`
  `void`
  `setActorFullName(String actorFullName)`
  `void`
  `setContent(HistoryStepContent content)`
  `void`
  `setStepDate(String stepDate)`
  `void`
  `setStepId(String stepId)`
  `void`
  `setSubstituteFullName(String substituteFullName)`
  `void`
  `setVisible(boolean visible)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StepVO

    public StepVO()

- ## Method Details

  - ### getStepId

    public String getStepId()
    Returns:
      the stepId

  - ### setStepId

    public void setStepId(String stepId)
    Parameters:
      `stepId` - the stepId to set

  - ### getActivity

    public String getActivity()
    Returns:
      the activity

  - ### getContent

    public HistoryStepContent getContent()
    Returns:
      the content

  - ### setContent

    public void setContent(HistoryStepContent content)
    Parameters:
      `content` - the content to set

  - ### setActivity

    public void setActivity(String activity)
    Parameters:
      `activity` - the activity to set

  - ### getActorFullName

    public String getActorFullName()
    Returns:
      the actorFullName

  - ### setActorFullName

    public void setActorFullName(String actorFullName)
    Parameters:
      `actorFullName` - the actorFullName to set

  - ### getActionName

    public String getActionName()
    Returns:
      the actionName

  - ### setActionName

    public void setActionName(String actionName)
    Parameters:
      `actionName` - the actionName to set

  - ### getStepDate

    public String getStepDate()
    Returns:
      the stepDate

  - ### setStepDate

    public void setStepDate(String stepDate)
    Parameters:
      `stepDate` - the stepDate to set

  - ### isVisible

    public boolean isVisible()
    Returns:
      the visible

  - ### setVisible

    public void setVisible(boolean visible)
    Parameters:
      `visible` - the visible to set

  - ### getSubstituteFullName

    public String getSubstituteFullName()

  - ### setSubstituteFullName

    public void setSubstituteFullName(String substituteFullName)